UI.Behaviour.Image = UI.Behaviour.extend({
    $name: "XB_UI_Image",
    
    name: "image",
    nodeName: "image",
    
    attach: function XBUI_Image_attach() {
    },
    
    change: function XBUI_Image_change() {
        if (this.parent && this.parent.name == "menu-item")
            this.base();
        
        let url = this.url().replace(/(['\\])/g, "\\$1");
        this.node.style.setProperty("list-style-image", "url('" + url + "')", "important");
    },
    
    url: function XBUI_Image_url() {
        return this.builder.resolveURI(this.text(), this.root.widgetInstanceId);
    }
});